package com.muyu.cache;

import com.muyu.common.domain.resp.SysCarVo;
import org.springframework.stereotype.Component;

/**
 * @Author YuPing
 * @Description 保存车辆VIN码缓存
 * @Version 1.0
 * @Data 2024-10-07 12:02:43
 */
@Component
public class CarVinCacheService extends CacheAbsBasic<String, SysCarVo> {
    /**
     * 缓存前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "carVin";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
